System.register([], function (_export, _context) {
  "use strict";

  return {
    setters: [],
    execute: function () {
      const __SystemJSRewritingHack = {};
      _recorder_._src_client_workspaces_js = _recorder_._src_client_workspaces_js || {};
      Object.defineProperty(_recorder_._src_client_workspaces_js, "getURL", {
        get() {
          return getURL;
        },

        set(thisIsVererySecretVariableName) {
          _export("getURL", getURL = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
      Object.defineProperty(_recorder_._src_client_workspaces_js, "setURL", {
        get() {
          return setURL;
        },

        set(thisIsVererySecretVariableName) {
          _export("setURL", setURL = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
      Object.defineProperty(_recorder_._src_client_workspaces_js, "setCode", {
        get() {
          return setCode;
        },

        set(thisIsVererySecretVariableName) {
          _export("setCode", setCode = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });
      Object.defineProperty(_recorder_._src_client_workspaces_js, "getCode", {
        get() {
          return getCode;
        },

        set(thisIsVererySecretVariableName) {
          _export("getCode", getCode = thisIsVererySecretVariableName);

          return true;
        },

        enumerable: true,
        configurable: true
      });

      if (!self.lively4workspaces) {
        self.lively4workspaces = new Map();
      }
      const workspaces = self.lively4workspaces;

      Object.defineProperty(_recorder_._src_client_workspaces_js, "workspaces", {
        get() {
          return workspaces;
        },

        set(thisIsVererySecretVariableName) {
          workspaces = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });
      if (!self.lively4workspaceURLs) {
        self.lively4workspaceURLs = new Map();
      }
      const workspaceURLs = self.lively4workspaceURLs;

      // const workspaces = new Map();
      // const workspaceURLs = new Map();


      Object.defineProperty(_recorder_._src_client_workspaces_js, "workspaceURLs", {
        get() {
          return workspaceURLs;
        },

        set(thisIsVererySecretVariableName) {
          workspaceURLs = thisIsVererySecretVariableName;
          return true;
        },

        enumerable: true,
        configurable: true
      });
      function getCode(id) {
        return workspaces.get(id);
      }

      _export("getCode", getCode);

      function setCode(id, src) {
        return workspaces.set(id, src);
      }

      _export("setCode", setCode);

      function setURL(id, url) {
        return workspaceURLs.set(id, url);
      }

      _export("setURL", setURL);

      function getURL(id) {
        return workspaceURLs.get(id);
      }

      _export("getURL", getURL);
    }
  };
});